textures/common/nofootsteps
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nosteps
}

textures/custom/bloodfall
{ 
	qer_editorimage textures/liquids/blood4.tga 
	q3map_globaltexture
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm slime
	surfaceparm noimpact
	tessSize 64
	cull disable
	deformVertexes wave 64 triangle 1 3 .1 .8

	{
	map textures/liquids/blood3.tga
	blendfunc GL_DST_COLOR GL_SRC_COLOR
	tcMod scale 1.5 2.5
	tcMod turb .1 .08 .5 .1
	tcMod scroll 2 -.25
	}
	{
	map textures/liquids/blood4.tga
	blendfunc GL_DST_COLOR GL_ONE
	tcMod scale 1.5 .5
	tcMod turb .1 .075 .5 .05
	tcMod scroll 2. .1
	}
}

textures/custom/firePillar3
{
	deformVertexes autoSprite2
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 50

	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}

textures/custom/skull_banner
{
	cull disable
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nolightmap
	{
		map textures/custom/skull_banner.tga
		blendFunc Add
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/custom/timlamp_1
{
	qer_editorimage textures/custom/timlamp_1.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	qer_trans 0.5
	cull disable
        {
                map textures/custom/timlamp_1.tga
                blendFunc filter
        }
}

textures/doom/wall_skull
{
	q3map_lightimage textures/doom/wall_skull_glow.tga
	q3map_surfacelight 75

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/doom/wall_skull.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/doom/wall_skull_glow.tga
		blendFunc GL_ONE GL_ONE
//		rgbGen wave sin .5 .5 0 0.5
	}
}

textures/hell/bacteria_6
{
	tessSize 128
//	deformVertexes wave 100 sin 4 3 0 0.3
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hell/bacteria_5.tga
	tcmod scroll 0 -.1
	blendFunc GL_ONE GL_ONE
	}
	{
	map $lightmap
	blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
	rgbGen identity
	}
}

textures/hell/pillarbase2
{
        qer_editorimage textures/hell/pillarbase2.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        qer_trans 0.5
        {
                map textures/hell/pillarbase2.tga
                blendfunc filter
        }
}

textures/liquids/blood4
{
		q3map_globaltexture
		qer_trans .5
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm slime
		surfaceparm nolightmap
		q3map_surfacelight 200
		tessSize 64
		cull disable
		deformVertexes wave 100 sin 0 1 .5 .5

		{
			map textures/liquids/blood4.tga
			tcMod turb 0.2 0.2 0 0.05
		}
}

textures/lun3dm3/phobossky2
{
	qer_editorimage textures/lun3dm3/sky1.tga

	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm sky

	skyparms env/phobos - -
	q3map_surfacelight 80
	q3map_lightimage textures/lun3dm3/sky1.tga
	q3map_sun 0.99 1 1 55 135 65
}

textures/marsbase/blood4
{
        qer_editorimage textures/marsbase/blood4.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/marsbase/blood4.tga
                blendfunc filter
        }
}

textures/marsbase/blood6
{
        qer_editorimage textures/marsbase/blood6.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/marsbase/blood6.tga
                blendfunc filter
        }
}

textures/marsbase/blood9
{
        qer_editorimage textures/marsbase/blood9.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/marsbase/blood9.tga
                blendfunc filter
        }
}

textures/marsbase/dirt2
{
        qer_editorimage textures/marsbase/dirt2.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/marsbase/dirt2.tga
                blendfunc filter
        }
}

textures/proto2/vinesfinal
{
	qer_editorimage textures/proto2/vinesfinal.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	q3map_shadeangle 179
	q3map_nonplanar
	cull disable
	//q3map_lightmapaxis z
	//q3map_tcgen ivector ( 142 0 0 ) ( 0 142 0 )
	{
		map textures/proto2/vinesfinal.tga
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
		depthFunc equal
	}
}

textures/skin/labimp_d
{
	surfaceparm	nonsolid
	surfaceparm trans
	cull none

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/skin/labimp_d.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}